Subject: Dual Xeon & G98

From: "Close, David M." <CLOSED~at~mail.etsu.edu>
Date: Tue, 4 Nov 2003 19:53:44 -0500

CCL'ers:
  Someone told me I can run G98 jobs faster on my Dell 530 Workstation if I use %Nproc=2 and make the following changes to the LINUX kernel for sharing memory. 
 
echo "67108864" >/proc/sys/kernel/shmmax
echo "67108864" >/proc/sys/kernel/shmall 
 
only replace 67108864 with the amount of memory in your machine (in bytes)
 
Also, I know that the %Mem= should be per processor. Therefore, since I have 512Mb total memory and 2 processors,  I should use something like %Mem=230Mb
 
Having done all this and also checking that the SMP kernel was running, I cannot get this to work.
After only a second the program quits where the list of links to be used is printed.  The program ends with an "shmget failed" statement.  I presume this has something to do with shared memory, but I am not sure what to try next.  Perhaps someone knows what to try next, or perhaps what diagnostics to use to make sure
the system has been configured properly.
  Regards, Dave Close.